function [filelist] = trackSynchBatch()

% batch process a set of files 

%%%%%%
%   Set up paths to directories, input and output files
%%%%%%

topdir = '/Users/fred/Codedev/UtteranceToUtteranceVariability';
recdir = [topdir  '/recordings/'];
outdir = [topdir  '/analysis'];

% We will write to one output file per group & condition

outfilename = [outdir '/UUV.dat'];
outfile = fopen(outfilename, 'w');
fprintf(outfile, 'file1 file2 variability\n');

filelist = dir(fullfile(recdir, '*.wav'));

[unused,order] = sort_nat({filelist.name});
filelist = filelist(order);

for el = 1:(length(filelist)-1)
  
  % First we need to piece together the two file names.
  f1 = filelist(el).name;
  f2 = filelist(el+1).name;
  
  disp(['doing files ' f1 '  and ' f2 ]);

  % which is the shorter?  It will be our referent, and determine the
  % pointprocess file used
  if(filelist(el).bytes < filelist(el+1).bytes) 
    [pathstr, name, ext] = fileparts(f1);
    [pathsrt, name2, ext] = fileparts(f2);
  else
    [pathstr, name, ext] = fileparts(f2);
    [pathstr, name2, ext] = fileparts(f1);
  end
  
  f1path = [recdir '/' f1];
  f2path = [recdir '/' f2];
  pppath = [topdir '/pointprocesses/' name  '.pp'];
  
  % This is the real work.  Calculate asynchrony for a single pair.
  [sf,w,a] = trackSynch(f1path,f2path,pppath,12,'Ma');
  
  fprintf(outfile, '%s  %s  %s \n', name, name2, num2str(a));
  
end

fclose(outfile);

