# This small script iterates over the individual recordings in 'recordings' and 
# generates a 'pointprocess' file for each one.  This contains data identifying
# voiced parts of the signal and is used later by Matlab in estimating similarity 
# across utterances.
#
# Author: Fred Cummins
# Use as you see fit.

form Provide the path to your folder
   comment  Please provide the path to the folder you are using
   sentence Path /Users/fred/Codedev
   comment  Please provide the name of the folder
   sentence Folder UtteranceToUtteranceVariability
endform

# Path for all data
top$ = "'path$'/'folder$'"
rec$ = "'top$'/recordings"
out$ = "'top$'/pointprocesses"

clearinfo 

Create Strings as file list... filelist 'rec$'/*.wav

noFiles = Get number of strings
for  ifile to noFiles
     select Strings filelist
     filename$ = Get string... ifile
     rootname$ = filename$ - ".wav"

     Read from file... 'rec$'/'filename$'
     To PointProcess (periodic, cc)... 75 600
     outfile$ = out$ + "/" + rootname$ + ".pp"
     Write to short text file... 'outfile$'
     print Did 'filename$''newline$'
endfor

select all
Remove
